Subject: Re: bug#22600: 'Globally-Visible Packages' not shown by 'M-x guix-installed-packages'

From: Alex Kost <[email-masked]>
Date: Wed, 10 Feb 2016 12:04:29 +0300

myglc2 (2016-02-10 05:30 +0300) wrote:

> Alex Kost <[email-masked]> writes:
>
[...]
>> As I suggested in the previous mail, we can add "M-x guix-system-packages".
>> Maybe it would be good to add "M-x guix-user-packages", or maybe name them:
>>
>> - guix-installed-system-packages  (for /run/current-system/profile)
>> - guix-installed-user-packages    (for ~/.guix-profile)
>>
>> And to leave "M-x guix-installed-packages" for an arbitrary profile
>> specified by a user.  WDYT?
>
> I like it. I tried to summarize what I think I understand in the table
> below.  Could you take a look and fix it up?
>
> | Recipe Source           | install                                                                    | Profile                     | UI access                            | Scope  | Generations                 |
> |-------------------------+----------------------------------------------------------------------------+-----------------------------+--------------------------------------+--------+-----------------------------|
> | guix pull               | sudo guix system reconfigure <config>                                      | /run/current-system/profile | * M-x guix-installed-system-packages | global | M-x guix-system-generations |
> | guix pull               | guix -i <package>                                                          | ~/.guix-profile             | * M-x guix-installed-user-packages   | global | M-x guix-generations        |
                              guix package -i <package>
> |                         |                                                                            |                             |                                      |        |                             |
> | git pull w/wo user mods | [env]$ sudo ./pre-inst-env guix system reconfigure ../configs/config.k.scm | /run/current-system/profile | * M-x guix-installed-system-packages | user   | M-x guix-system-generations |
> | git pull w/wo user mods | ???                                                                        | ~/.guix-profile             | * M-x guix-installed-user-packages   | user   | M-x guix-generations        |

I don't understand what "w/wo user mods" means, but if you are talking
about running guix commands using a git repo; "pre-inst-env" is the way
to go, for example: "./pre-inst-env guix package -i ..."

> | <user custom>           | ???                                                                        | <user specfied>             | M-x guix-installed-packages          | ouser  | ???                         |

For a custom package (if that's what you mean), it's the same: "guix
package -i <user-package>", but at first you need to add a directory
with your packages to GUIX_PACKAGE_PATH as described in the manual:
(info "(guix) Package Modules")

If you want to install packages in an arbitrary profile, run "guix
package" command with "--profile=..." option.

> Notes:
>  * - proposed
>  ??? - don't know

Also I don't understand what "scope" column means.

-- 
Alex